Skip to main content
POST
/
runway
/
v1
/
pro
/
act_one
official-format (act one emotion migration)
curl --request POST \
  --url https://api.example.com/runway/v1/pro/act_one
import requests

url = "https://api.example.com/runway/v1/pro/act_one"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://api.example.com/runway/v1/pro/act_one', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Runway’s act one emotion migration.mdx for the act one emotion migration API.
curl -X POST "https://gptproto.com/runway/v1/pro/act_one" \
  -H "Authorization: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "video": "http://source.wike.cc/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4",
  "image": "http://source.wike.cc/1.jpeg",
  "options": {
    "motion_multiplier": 3,
    "flip": true
  }
}'
import requests
import json

url = "https://gptproto.com/runway/v1/pro/act_one"
headers = {
    "Authorization": "YOUR_API_KEY",
    "Content-Type": "application/json"
}

data = {
  "video": "http://source.wike.cc/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4",
  "image": "http://source.wike.cc/1.jpeg",
  "options": {
    "motion_multiplier": 3,
    "flip": true
  }
}

response = requests.post(url, headers=headers, json=data)
result = response.json()
print(json.dumps(result, indent=2))
const url = "https://gptproto.com/runway/v1/pro/act_one";
const headers = {
  "Authorization": "YOUR_API_KEY",
  "Content-Type": "application/json"
};

const data = {
  "video": "http://source.wike.cc/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4",
  "image": "http://source.wike.cc/1.jpeg",
  "options": {
    "motion_multiplier": 3,
    "flip": true
  }
};

fetch(url, {
  method: "POST",
  headers: headers,
  body: JSON.stringify(data)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error("Error:", error));
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://gptproto.com/runway/v1/pro/act_one"

    payload := []byte(`{
"video": "http://source.wike.cc/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4",
"image": "http://source.wike.cc/1.jpeg",
"options": {
"motion_multiplier": 3,
"flip": true
}
}`)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
    req.Header.Set("Authorization", "YOUR_API_KEY")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}
{
  "error": {
    "message": "Invalid signature",
    "type": "401"
  }
}
{
  "error": {
    "message": "Insufficient balance",
    "type": "403"
  }
}
{
  "error": {
    "message": "Internal server error",
    "type": "500"
  }
}
{
  "error": {
    "message": "Input may not meet the guidelines. Please adjust and try again.",
    "type": "503"
  }
}

Parameters

ParameterTypeRequiredDefaultDescription
videostring❌ Nohttp://source.wike.cc/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4Video parameter
imagestring❌ Nohttp://source.wike.cc/1.jpegImage parameter
optionsobject❌ No{&quot;motion_multiplier&quot;: 3, &quot;flip&quot;: true}Options parameter